Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.reflection
Class FieldDictionary

    java.lang.Object
      com.thoughtworks.xstream.converters.reflection.FieldDictionary

    public class FieldDictionary

extends Object

A field dictionary instance caches information about classes fields.

Author:
  Joe Walnes, Jörg Schaible, Guilherme Silveira

Constructor Summary
`FieldDictionary()`
`FieldDictionary(FieldKeySorter sorter)`

Method Summary
`Field` | `field(Class cls, String name, Class definedIn)` Returns an specific field of some class.
`Iterator` | `fieldsFor(Class cls)` Returns an iterator for all fields for some class
`protected Object` | `readResolve()`
`Iterator` | `serializableFieldsFor(Class cls)` Deprecated. since 1.3, use `fieldsFor(Class)` instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDictionary

    public FieldDictionary()

### FieldDictionary

    public FieldDictionary(FieldKeySorter sorter)

Method Detail

### serializableFieldsFor

    public Iterator serializableFieldsFor(Class cls)

  Deprecated. since 1.3, use `fieldsFor(Class)` instead

  Returns an iterator for all fields for some class

  Parameters:
    `cls` - the class you are interested on
  Returns:
    an iterator for its fields

### fieldsFor

    public Iterator fieldsFor(Class cls)

  Returns an iterator for all fields for some class

  Parameters:
    `cls` - the class you are interested on
  Returns:
    an iterator for its fields

### field

    public Field field(Class cls,
                       String name,
                       Class definedIn)

  Returns an specific field of some class. If definedIn is null, it searches for the field named 'name' inside the class cls. If definedIn is different than null, tries to find the specified field name in the specified class cls which should be defined in class definedIn (either equals cls or a one of it's superclasses)

  Parameters:
    `cls` - the class where the field is to be searched
    `name` - the field name
    `definedIn` - the superclass (or the class itself) of cls where the field was defined
  Returns:
    the field itself

### readResolve

    protected Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.